BuildTimeoutException (Apache Ant API)
Date: 2018-03-24

org.apache.tools.ant.taskdefs.optional.testing

## Class BuildTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tools.ant.BuildException
        - - org.apache.tools.ant.taskdefs.optional.testing.BuildTimeoutException

- All Implemented Interfaces:
    java.io.Serializable

      public class BuildTimeoutException
      extends BuildException

  This exception is used to indicate timeouts.
  Since:
    Ant1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildTimeoutException()` Constructs a build exception with no descriptive information.
    `BuildTimeoutException(java.lang.String message)` Constructs an exception with the given descriptive message.
    `BuildTimeoutException(java.lang.String message, Location location)` Constructs an exception with the given descriptive message and a location in a file.
    `BuildTimeoutException(java.lang.String message, java.lang.Throwable cause)` Constructs an exception with the given message and exception as a root cause.
    `BuildTimeoutException(java.lang.String msg, java.lang.Throwable cause, Location location)` Constructs an exception with the given message and exception as a root cause and a location in a file.
    `BuildTimeoutException(java.lang.Throwable cause)` Constructs an exception with the given exception as a root cause.
    `BuildTimeoutException(java.lang.Throwable cause, Location location)` Constructs an exception with the given exception as a root cause and a location in a file.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tools.ant.BuildException

      `getException, getLocation, setLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildTimeoutException

          public BuildTimeoutException()

      Constructs a build exception with no descriptive information.

    - #### BuildTimeoutException

          public BuildTimeoutException(java.lang.String message)

      Constructs an exception with the given descriptive message.
      Parameters:
        `message` - A description of or information about the exception. Should not be `null`.

    - #### BuildTimeoutException

          public BuildTimeoutException(java.lang.String message,
                                       java.lang.Throwable cause)

      Constructs an exception with the given message and exception as a root cause.
      Parameters:
        `message` - A description of or information about the exception. Should not be `null` unless a cause is specified.
        `cause` - The exception that might have caused this one. May be `null`.

    - #### BuildTimeoutException

          public BuildTimeoutException(java.lang.String msg,
                                       java.lang.Throwable cause,
                                       Location location)

      Constructs an exception with the given message and exception as a root cause and a location in a file.
      Parameters:
        `msg` - A description of or information about the exception. Should not be `null` unless a cause is specified.
        `cause` - The exception that might have caused this one. May be `null`.
        `location` - The location in the project file where the error occurred. Must not be `null`.

    - #### BuildTimeoutException

          public BuildTimeoutException(java.lang.Throwable cause)

      Constructs an exception with the given exception as a root cause.
      Parameters:
        `cause` - The exception that might have caused this one. Should not be `null`.

    - #### BuildTimeoutException

          public BuildTimeoutException(java.lang.String message,
                                       Location location)

      Constructs an exception with the given descriptive message and a location in a file.
      Parameters:
        `message` - A description of or information about the exception. Should not be `null`.
        `location` - The location in the project file where the error occurred. Must not be `null`.

    - #### BuildTimeoutException

          public BuildTimeoutException(java.lang.Throwable cause,
                                       Location location)

      Constructs an exception with the given exception as a root cause and a location in a file.
      Parameters:
        `cause` - The exception that might have caused this one. Should not be `null`.
        `location` - The location in the project file where the error occurred. Must not be `null`.